options:
    dataset-size:
        default: '80%'
        description: How much data do you want to keep in memory in the DB. This will be used to tune settings in the database server appropriately. Any more specific settings will override these defaults though. This currently sets innodb_buffer_pool_size or key_cache_size depending on the setting in preferred-storage-engine. If query-cache-type is set to 'ON' or 'DEMAND' 20% of this is given to query-cache-size. Suffix this value with 'K','M','G', or 'T' to get the relevant kilo/mega/etc. bytes. If suffixed with %, one will get that percentage of RAM devoted to dataset and (if enabled) query cache.
        type: string
    preferred-storage-engine:
        default: InnoDB
        type: string
        description: Tune the server for usage of this storage engine. Other possible value is MyISAM. Comma separated will cause settings to split resources evenly among given engines.
    tuning-level:
        default: safest
        type: string
        description: Valid values are 'safest', 'fast', and 'unsafe'. If set to safest, all settings are tuned to have maximum safety at the cost of performance. Fast will turn off most controls, but may lose data on crashes. unsafe will turn off all protections.
    flavor:
        default: distro
        type: string
        description: Possible values are 'distro' or 'percona'
    query-cache-type:
        default: "OFF"
        type: string
        description: Query cache is usually a good idea, but can hurt concurrency. Valid values are "OFF", "ON", or "DEMAND". http://dev.mysql.com/doc/refman/5.1/en/server-system-variables.html#sysvar_query_cache_type
    query-cache-size:
        default: 0
        type: int
        description: Override the computed version from dataset-size. Still works if query-cache-type is "OFF" since sessions can override the cache type setting on their own.
    max-connections:
        default: -1
        type: int
        description: Maximum connections to allow. -1 means use the server's compiled in default.
    binlog-format:
        default: 'MIXED'
        type: string
        description: If binlogging is enabled, this is the format that will be used. Ignored when tuning-level == fast.
    vip:
        type: string
        default: ''
        description: "Virtual IP to use to front mysql in ha configuration"
    vip_iface:
        type: string
        default: eth0
        description: "Network Interface where to place the Virtual IP"
    vip_cidr:
        type: int
        default: 24
        description: "Netmask that will be used for the Virtual IP"
    ha-bindiface:
        type: string
        default: eth0
        description: |
          Default network interface on which HA cluster will bind to communication
          with the other members of the HA Cluster.
    ha-mcastport:
        type: int
        default: 5411
        description: |
          Default multicast port number that will be used to communicate between
          HA Cluster nodes.
    block-size:
        type: int
        default: 5
        description: |
          Default block storage size to create when setting up MySQL block storage.
          This value should be specified in GB (e.g. 100 not 100GB).
    rbd-name:
        type: string
        default: mysql1
        description: |
          The name that will be used to create the Ceph's RBD image with. If the
          image name exists in Ceph, it will be re-used and the data will be
          overwritten.
    ceph-osd-replication-count:
        default: 2
        type: int
        description: |
          This value dictates the number of replicas ceph must make of any
          object it stores within the mysql rbd pool. Of course, this only
          applies if using Ceph as a backend store. Note that once the mysql
          rbd pool has been created, changing this value will not have any
          effect (although it can be changed in ceph by manually configuring
          your ceph cluster).
    source:
        type: string
        default: ""
        description: |
          Optional configuration to support use of additional sources such as:
          .
            - ppa:myteam/ppa
            - cloud:precise-proposed/folsom
            - http://my.archive.com/ubuntu main
          .
          The last option should be used in conjunction with the key configuration
          option.
    key:
        type: string
        default: ""
        description: |
          Key ID to import to the apt keyring to support use with arbitary source
          configuration from outside of Launchpad archives or PPA's.
    nagios_context:
        default: "juju"
        type: string
        description: |
          Used by the nrpe-external-master subordinate charm.
          A string that will be prepended to instance name to set the host name
          in nagios. So for instance the hostname would be something like:
              juju-myservice-0
          If you're running multiple environments with the same services in them
          this allows you to differentiate between them.
